/*
Theme Name: Impreza Child
Template: Impreza
Version: 1.0
Author: Redbak
Theme URI: https://impreza.us-themes.com/
Author URI: https://redbak.com/
*/

/*********************************************
 *********************************************

 * *  1. Global Styling  * *
 * *  2. Navigation  * *
 * *  3. Sections  * *

 *********************************************
 *********************************************/


/*********************************************
 * *  1. Global Styling  * *
 *********************************************/

.us_iframe p {
	line-height: 1.4;
}

@media (max-width: 1024px) {
	.sidecol-grey .vc_column-overlay {
		background: none !important;
	}
}
/*********************************************
 * *  2. Navigation  * *
 *********************************************/

.nav-socials .w-socials-list {
	display: flex;
}

.nav-menu .w-nav-list.level_1 > li {
    margin-right: 10px;
}
.nav-menu .w-nav-list.level_1 > li:not(:nth-last-child(2))::after {
    content: "";
	pointer-events: none;
    width: 10px;
    height: 10px;
    border-radius: 10px;
    display: block;
    position: absolute;
	right: -10px;
	top: 50%;
	transform: translateY(-50%);
    background: var(--color-open-law-red);
}

@media (max-width: 1024px) {
	.nav-menu .w-nav-list.level_1 > li:not(:nth-last-child(2))::after {
		display: none;
    }
}


/*********************************************
 * *  3. Sections  * *
 *********************************************/
/* banner row */

.banner-row .wpb_column.vc_column_container {
	min-height: 300px;
}

/*testimonials*/
.testimonials-carousel .dotstyle_circle .owl-dot span {
    background: #ffffff;
    opacity: 1;
}
.testimonials-carousel .owl-carousel button.owl-dot.active span {
	background: #000000 !important;
    box-shadow: 0 0 0 2px #ffffff;
    opacity: 1;
}
/*testimonials Page*/
.testimonials-page-wrapper {
	color: #ffffff;
	border-radius: 2rem;
	padding: 3rem;
}
.testimonials-page-list .w-grid-list .w-grid-item:nth-of-type(3n+1) .testimonials-page-wrapper {
	background: var(--color-open-law-red);
}
.testimonials-page-list .w-grid-list .w-grid-item:nth-of-type(3n+2) .testimonials-page-wrapper {
	background: var(--color-open-law-grey);
}
.testimonials-page-list .w-grid-list .w-grid-item:nth-of-type(3n+3) .testimonials-page-wrapper {
	background: var(--color-open-law-dark-grey);
}
.testimonials-page-wrapper .post_title {
	font-size: 1.5rem;
	font-weight: 600;
}
.testimonials-page-wrapper .post_title:before,
.testimonials-page-wrapper .post_title:after {
    content: "";
    background-image: url(/wp-content/uploads/2025/12/Testimonials-quote.png);
    height: 1.5rem;
    width: 2rem;
    display: inline-block;
    background-size: contain;
    background-repeat: no-repeat;
    opacity: 0.5;
}
.testimonials-page-wrapper .post_title:before {
	margin-right: 0.7rem;
}
.testimonials-page-wrapper .post_title:after {
	margin-left: 0.7rem;
	transform: rotate(180deg);
}
@media (max-width: 768px) {
	.testimonials-page-wrapper .post_title:before,
	.testimonials-page-wrapper .post_title:after {
		display: none;
	}
}
.testimonials-page-wrapper .w-testimonial-rating {
	font-size: 1.5rem;
}
/*Team*/
.repeater-field.specialisation_text {
    display: flex !important;
    align-items: center;
    gap: 20px;
    margin-bottom: 10px;
}
.repeater-field.specialisation_text:before {
    content: "";
    width: 35px;
    min-width: 35px;
    height: 35px;
    display: block;
    background-image: url(/wp-content/uploads/2019/10/open-law-favicon.png);
    background-size: contain;
    background-repeat: no-repeat;
}
/*Why Choose Us*/

.why-choose-us-wrapper {
	background: var(--color-open-law-light-grey);
    border-radius: 50%;
    aspect-ratio: 1 / 1;
	min-height: 300px;
    max-height: 500px;
}
/* middle align mobile + break to mobile sooner*/

.why-choose-us-wrapper .wpb_text_column {
    width: 80%;
    transform: scale(0.9);
}
.why-choose-us-wrapper .w-image {
	position: absolute;
	max-width: 100px;
	top: -50px;
	margin-left: auto;
	margin-right: auto;
}
.why-choose-us-wrapper .w-image img {
	object-fit: contain;
}
.why-choose-us-wrapper h3 {
	color: var(--color-open-law-red);
	font-size: 1.5rem;
	font-weight: 600;
}
.why-choose-us-wrapper p {
	font-weight: 600;
}
@media (max-width: 1024px) {
	.why-choose-us-row .g-cols.cols_3 {
		grid-template-columns: 100%;
	}
	.why-choose-us-wrapper {
		margin-bottom: 4rem;
		margin-left: auto;
        margin-right: auto;
    }
	.why-choose-us-wrapper .wpb_text_column {
		width: 90%;
		transform: scale(1);
	}
}
@media (max-width: 425px) {
	.why-choose-us-wrapper {
		min-height: auto;
    }
	.why-choose-us-wrapper .wpb_text_column {
		width: 90%;
	}
	.why-choose-us-wrapper .w-image {
		max-width: 60px;
		top: -30px;
	}
	.why-choose-us-wrapper h3 {
		font-size: 1.2rem;
	}
	.why-choose-us-wrapper p {
		font-size: 0.8rem;
	}
}
@media (max-width: 320px) {
	.why-choose-us-row {
		padding-top: 0rem !important;
	}
	.why-choose-us-wrapper {
		background: #ffffff;
		margin-bottom: 1.5rem;
	}
	.why-choose-us-wrapper .w-image {
		position: relative;
		top: auto;
	}
}
/*News*/
.news-list .w-grid-item {
    border-bottom: 1px solid;
    padding-bottom: 2rem;
}

/*********************************************
 * *  OLD CODE  * *
 *********************************************/

/* .teamscroll {
    min-height: 616px;
}

.aio-icon-box {
    border-radius: 5px;
    min-height: 140px;
}

.gobackbutton {
    padding: 0px 15px 0px 15px;
    background-color: RGB(237, 31, 36);
    color: rgb(255, 255, 255);
    border-radius: 5px;
    font-size: 16px;
    border-style: solid;
    border-color: rgb(0, 0, 0);
    border-width: 1px;
    text-transform: uppercase;
    margin-bottom: 10px;
    display: none;
} */

/*********************************************
 * *  Responsive Styling  * *
 *********************************************/

@media (max-width: 1200px) {
     {
    }
}

@media (max-width: 1024px) {
     {
    }
}

@media (max-width: 900px) {
     {
    }
}

@media (max-width: 768px) {
     {
    }
}

@media (max-width: 600px) {
     {
    }
}

@media (max-width: 480px) {
     {
    }
}

@media (max-width: 320px) {
     {
    }
}
